Deterministically derive the key pair from a single key

- « sodium_crypto_sign_secretkey

- sodium_crypto_sign_verify_detached »

- PHP Manual
- Sodium Functions
- Deterministically derive the key pair from a single key

# sodium_crypto_sign_seed_keypair

(PHP 7 >= 7.2.0, PHP 8)

sodium_crypto_sign_seed_keypair — Deterministically derive the key pair from a single key

### Description

sodium_crypto_sign_seed_keypair(#[\SensitiveParameter] string `$seed`): string

Clamps the seed to form a secret key, derives the public key, and returns the two as a keypair.

The `*_seed_keypair` functions are ideal for generating a keypair from a password and salt. Use the result as a `seed` to generate the desired keys.

### Parameters

`seed`

  Some cryptographic input. Must be 32 bytes.

### Return Values

Keypair (secret key and public key)